REM INFO: NoAAResample.csc v1.0.1 (PP10)
REM Copyright  James Aswell, 2001
REM 
REM DESCRIPTION:
REM This Script will allow you to resample an image without
REM anti-aliasing. It is simply a work around for a bug.


WITHOBJECT "CorelPhotoPaint.Automation.10"
ON ERROR GOTO ERRORHANDLER

	IF MESSAGEBOX("This script is a workaround for a bug!" & CHR(13) & "Simply ignore the Anti-Alias setting on" & CHR(13) & "the next dialog if you choose to continue." & CHR(13) & CHR(13) & "This script will merge any objects and" & CHR(13) & "remove any masks present. Would you like" & CHR(13) & "to continue?", "No Anti-Alias Resample", 1 OR 48) = 1 THEN

		temp$ = GETTEMPFOLDER() + "\" + "~ttemp.cpt"

		.ObjectSelectAll
		.ObjectMerge -1
			.EndObject

		.MaskRemove

		.EditCopyToFile temp$, 769, 0
	
		.ImageResample

		IF ERRNUM <> 1004 THEN
			.FillTool 0, 0
				.ToleranceSettings 0, 100, 10, 10, 10
				.FillBitmap temp$, 32, 32, 0, 0, FALSE, 0, TRUE, TRUE, FALSE, 0, 0
				.Fill 0, 0, TRUE
		ELSE
			MESSAGEBOX "You may need to use the Undo command" & CHR(13) & "twice to restore any masks or objects" & CHR(13) & "altered by the script.", "Script Canceled", 0 OR 48
		ENDIF

		KILL temp$

	ENDIF

END WITHOBJECT

STOP

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE 1004
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT

